#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private PSSExport[] cachePSSExport;

		
		public PSSExport PSSExport()
		{
			return PSSExport(Input);
		}


		
		public PSSExport PSSExport(ISeries<double> input)
		{
			if (cachePSSExport != null)
				for (int idx = 0; idx < cachePSSExport.Length; idx++)
					if ( cachePSSExport[idx].EqualsInput(input))
						return cachePSSExport[idx];
			return CacheIndicator<PSSExport>(new PSSExport(), input, ref cachePSSExport);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.PSSExport PSSExport()
		{
			return indicator.PSSExport(Input);
		}


		
		public Indicators.PSSExport PSSExport(ISeries<double> input )
		{
			return indicator.PSSExport(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.PSSExport PSSExport()
		{
			return indicator.PSSExport(Input);
		}


		
		public Indicators.PSSExport PSSExport(ISeries<double> input )
		{
			return indicator.PSSExport(input);
		}

	}
}

#endregion
